Method: projects.secrets.versions.access
Accesses a SecretVersion . This call returns the secret data.
projects/*/secrets/*/versions/latest is an alias to the most recently created SecretVersion .
HTTP request
Choose an endpoint:
global
GET https://secretmanager.s3nsapis.fr/v1/{name=projects/*/secrets/*/versions/*}:access
The URLs use gRPC Transcoding syntax.
Path parameters
Parameters
name
string
Required. The resource name of the SecretVersion in the format projects/*/secrets/*/versions/* or projects/*/locations/*/secrets/*/versions/*.
projects/*/secrets/*/versions/latest or projects/*/locations/*/secrets/*/versions/latest is an alias to the most recently created SecretVersion .
Authorization requires the following IAM permission on the specified resource name:
secretmanager.versions.access
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of AccessSecretVersionResponse .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview .
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-11-12 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-11-12 UTC."],[],[]]